Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004647OCamlOCaml generalpublic2008-11-16 19:472011-05-29 12:20
Reporterwarren 
Assigned Toxleroy 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0+beta 
Target VersionFixed in Version3.11.2+dev 
Summary0004647: [patch] provide Buffer.blit to avoid unnecessary allocation
DescriptionBuffer should provide a blit operation, similar to String.blit, that allows the buffer's internal contents to be copied to another string without requiring an intermediate string to be allocated (as is done by Buffer.sub and Buffer.contents). Doing this can reduce GC churn, and lead to better performing applications.
TagsNo tags attached.
Attached Filespatch file icon buffer-blit.patch [^] (700 bytes) 2008-11-16 19:47 [Show Content]
patch file icon buffer-blit2.patch [^] (1,576 bytes) 2008-11-16 19:55 [Show Content]

- Relationships

-  Notes
(0004750)
warren (reporter)
2008-11-16 19:56

Please ignore (or delete) the first patch file.

- Issue History
Date Modified Username Field Change
2008-11-16 19:47 warren New Issue
2008-11-16 19:47 warren File Added: buffer-blit.patch
2008-11-16 19:55 warren File Added: buffer-blit2.patch
2008-11-16 19:56 warren Note Added: 0004750
2008-12-03 14:11 doligez Status new => acknowledged
2009-04-01 18:37 xleroy Status acknowledged => assigned
2009-04-01 18:37 xleroy Assigned To => xleroy
2009-09-16 17:52 xclerc Status assigned => resolved
2009-09-16 17:52 xclerc Fixed in Version => 3.11.2+dev
2009-09-16 17:52 xclerc Resolution open => fixed
2011-05-29 12:20 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker